Saxon API for .NET |

# SchemaValidator.SetSource Method (XdmNode)

Supply the instance document to be validated in the form of an XdmNode

public void SetSource(
XdmNode source
);

#### Parameters

source
  The document or element node at the root of the tree to be validated

#### Remarks

The supplied node must be either a document node or an element node. If an element node is supplied, then the subtree rooted at this element is validated as if it were a complete document: that is, it must not only conform to the structure required of that element, but any referential constraints (keyref, IDREF) must be satisfied within that subtree.

#### See Also

SchemaValidator Class | Saxon.Api Namespace | SchemaValidator.SetSource Overload List